Share
View previous topicGo downView next topic
Gosse

[EX-100 - v0.9.13.0 x64] [RS1 Build 14393.0] Unable to install .Net Framework 3.5

on Thu 17 Nov 2016 - 1:01
Hi,

First of all: thanks for all the efforts you put into this, Winterstorm!  Very Happy

Today I created an image with the new 9.13 version to be deployed on a laptop. Turns out that I had to install a piece of software on the laptop that requires .Net Framework 3.5 (doesn't work with version 4). Unfortunately I wasn't able to install .Net 3.5, even though I used several options for installing it.

I created a new image and only changed one setting. I changed 
Element Category="System" Name="Integrate - Windows Updates Files Cleanup" Selected="true" Value=""
to
Element Category="System" Name="Integrate - Windows Updates Files Cleanup" Selected="false" Value=""

With that image deployed on the laptop I was able to install .Net Framework 3.5 the standard way (through the control panel).

I hope you can find a solution.

Regards,

Gosse
avatar
sum1saw

Re: [EX-100 - v0.9.13.0 x64] [RS1 Build 14393.0] Unable to install .Net Framework 3.5

on Thu 24 Nov 2016 - 14:33
+1 

Same here i think due to Window Updates File Cleanup DISM is broken and it's not working giving Error 1408 The Component Store is broken i think @Admin should look to this.
avatar
winterstorm2050
Admin
https://www.winreducer.net/

Re: [EX-100 - v0.9.13.0 x64] [RS1 Build 14393.0] Unable to install .Net Framework 3.5

on Sat 26 Nov 2016 - 11:10
Hello guys Smile

Yes, I confirm the bug, I'm on it at the moment to solve this in the next version.
avatar
winterstorm2050
Admin
https://www.winreducer.net/

Re: [EX-100 - v0.9.13.0 x64] [RS1 Build 14393.0] Unable to install .Net Framework 3.5

on Sat 26 Nov 2016 - 22:37
OK, so I ran tests about this, but for the moment I will add a note in the changelog about it.

I will fix it in the next builds. Thank you very much for your reports.
avatar
KrX

Re: [EX-100 - v0.9.13.0 x64] [RS1 Build 14393.0] Unable to install .Net Framework 3.5

on Tue 14 Mar 2017 - 0:53
so i tested it and the only files needed are:

Windows\WinSxS\Manifests\amd64_netfx-wcf-msmqactivation-registration_31bf3856ad364e35_3.0.14393.0_none_75e663e25bf2cef9.manifest
Windows\WinSxS\Manifests\amd64_netfx-wcf-pipeactivation-registration_31bf3856ad364e35_3.0.14393.0_none_c282fc0c53dae095.manifest
Windows\WinSxS\Manifests\amd64_netfx-wcf-tcpactivation-registration_31bf3856ad364e35_3.0.14393.0_none_cc2fe8a1738923ac.manifest
Windows\WinSxS\Manifests\amd64_netfx-wcf-tcpportsharing_31bf3856ad364e35_3.0.14393.0_none_1745cf092d36eff9.manifest

there is also something at the registry (probably related to those files), which i will look through in the next days.
those files can be removed in the complete net framework cleanup component

also for the winsxs install.wim cleanup those should be kept (and if i can find other files [soon] those too)


EDIT:

here are some registry keys that need to be kept, it seems there are still more:

Windows Registry Editor Version 5.00

[HKEY_LOCAL_MACHINE\Components\DerivedData\VersionedIndex\10.0.14393.350 (rs1_release.161013-1725)\ComponentFamilies\amd64_netfx-wcf-tcpportsharing_31bf3856ad364e35_none_966f42b1fff10788\v!3.0.14393.0]

[HKEY_LOCAL_MACHINE\Components\DerivedData\Components\amd64_netfx-wcf-tcpportsharing_31bf3856ad364e35_3.0.14393.0_none_1745cf092d36eff9]
"S256H"=hex:7e,60,46,d7,10,c2,6e,e0,45,88,f0,73,08,dc,35,53,61,c9,e1,64,e9,49,\
  2a,5c,bc,1d,48,b9,27,69,c1,bf
"identity"=hex:4e,65,74,46,78,2d,57,43,46,2d,54,63,70,50,6f,72,74,53,68,61,72,\
  69,6e,67,2c,20,43,75,6c,74,75,72,65,3d,6e,65,75,74,72,61,6c,2c,20,56,65,72,\
  73,69,6f,6e,3d,33,2e,30,2e,31,34,33,39,33,2e,30,2c,20,50,75,62,6c,69,63,4b,\
  65,79,54,6f,6b,65,6e,3d,33,31,62,66,33,38,35,36,61,64,33,36,34,65,33,35,2c,\
  20,50,72,6f,63,65,73,73,6f,72,41,72,63,68,69,74,65,63,74,75,72,65,3d,61,6d,\
  64,36,34,2c,20,76,65,72,73,69,6f,6e,53,63,6f,70,65,3d,4e,6f,6e,53,78,53
"c!microsoft-w..-deployment_31bf3856ad364e35_10.0.14393.0_b3f815604372c9db"=hex:
"c!wcf-http-ac..-deployment_31bf3856ad364e35_10.0.14393.0_513a34a207659ea6"=hex:
"c!wcf-nonhttp..-deployment_31bf3856ad364e35_10.0.14393.0_af0f53c2c3502e4f"=hex:

[HKEY_LOCAL_MACHINE\Components\DerivedData\Components\amd64_netfx-wcf-tcpactivation-registration_31bf3856ad364e35_3.0.14393.0_none_cc2fe8a1738923ac]
"S256H"=hex:93,84,4d,ce,78,4a,3d,14,0d,24,59,ff,f4,cf,96,f2,fc,4c,d2,55,ee,3f,\
  1b,eb,74,65,ea,61,9d,41,36,12
"identity"=hex:4e,65,74,46,78,2d,57,43,46,2d,54,63,70,41,63,74,69,76,61,74,69,\
  6f,6e,2d,52,65,67,69,73,74,72,61,74,69,6f,6e,2c,20,43,75,6c,74,75,72,65,3d,\
  6e,65,75,74,72,61,6c,2c,20,56,65,72,73,69,6f,6e,3d,33,2e,30,2e,31,34,33,39,\
  33,2e,30,2c,20,50,75,62,6c,69,63,4b,65,79,54,6f,6b,65,6e,3d,33,31,62,66,33,\
  38,35,36,61,64,33,36,34,65,33,35,2c,20,50,72,6f,63,65,73,73,6f,72,41,72,63,\
  68,69,74,65,63,74,75,72,65,3d,61,6d,64,36,34,2c,20,76,65,72,73,69,6f,6e,53,\
  63,6f,70,65,3d,4e,6f,6e,53,78,53
"c!wcf-nonhttp..-deployment_31bf3856ad364e35_10.0.14393.0_af0f53c2c3502e4f"=hex:

[HKEY_LOCAL_MACHINE\Components\DerivedData\Components\amd64_netfx-wcf-pipeactivation-registration_31bf3856ad364e35_3.0.14393.0_none_c282fc0c53dae095]
"S256H"=hex:f3,60,8f,8d,3b,42,70,ee,80,3b,d1,18,e4,df,8b,4c,ac,80,92,52,8a,62,\
  1d,6f,8d,0a,eb,0a,ed,8f,c1,24
"identity"=hex:4e,65,74,46,78,2d,57,43,46,2d,50,69,70,65,41,63,74,69,76,61,74,\
  69,6f,6e,2d,52,65,67,69,73,74,72,61,74,69,6f,6e,2c,20,43,75,6c,74,75,72,65,\
  3d,6e,65,75,74,72,61,6c,2c,20,56,65,72,73,69,6f,6e,3d,33,2e,30,2e,31,34,33,\
  39,33,2e,30,2c,20,50,75,62,6c,69,63,4b,65,79,54,6f,6b,65,6e,3d,33,31,62,66,\
  33,38,35,36,61,64,33,36,34,65,33,35,2c,20,50,72,6f,63,65,73,73,6f,72,41,72,\
  63,68,69,74,65,63,74,75,72,65,3d,61,6d,64,36,34,2c,20,76,65,72,73,69,6f,6e,\
  53,63,6f,70,65,3d,4e,6f,6e,53,78,53
"c!wcf-nonhttp..-deployment_31bf3856ad364e35_10.0.14393.0_af0f53c2c3502e4f"=hex:

[HKEY_LOCAL_MACHINE\Components\DerivedData\Components\amd64_netfx-wcf-msmqactivation-registration_31bf3856ad364e35_3.0.14393.0_none_75e663e25bf2cef9]
"S256H"=hex:d3,25,db,64,f6,89,56,04,09,4d,c0,51,d4,01,74,4c,f7,d8,f0,8b,be,a9,\
  fc,21,c8,c7,b6,43,0a,b0,b4,f2
"identity"=hex:4e,65,74,46,78,2d,57,43,46,2d,4d,73,6d,71,41,63,74,69,76,61,74,\
  69,6f,6e,2d,52,65,67,69,73,74,72,61,74,69,6f,6e,2c,20,43,75,6c,74,75,72,65,\
  3d,6e,65,75,74,72,61,6c,2c,20,56,65,72,73,69,6f,6e,3d,33,2e,30,2e,31,34,33,\
  39,33,2e,30,2c,20,50,75,62,6c,69,63,4b,65,79,54,6f,6b,65,6e,3d,33,31,62,66,\
  33,38,35,36,61,64,33,36,34,65,33,35,2c,20,50,72,6f,63,65,73,73,6f,72,41,72,\
  63,68,69,74,65,63,74,75,72,65,3d,61,6d,64,36,34,2c,20,76,65,72,73,69,6f,6e,\
  53,63,6f,70,65,3d,4e,6f,6e,53,78,53
"c!wcf-nonhttp..-deployment_31bf3856ad364e35_10.0.14393.0_af0f53c2c3502e4f"=hex:

[HKEY_LOCAL_MACHINE\Components\DerivedData\Components\amd64_wcf-m_svc_mon_sup_dll_31bf3856ad364e35_10.0.14393.0_none_d35270c862510f44]
"S256H"=hex:48,38,99,83,24,09,df,e4,e6,bc,13,09,91,0a,5b,e4,47,1b,92,0e,05,30,\
  ae,e1,e7,21,fd,b5,98,09,d1,87
"identity"=hex:57,43,46,2d,4d,5f,53,56,43,5f,4d,4f,4e,5f,53,55,50,5f,44,4c,4c,\
  2c,20,43,75,6c,74,75,72,65,3d,6e,65,75,74,72,61,6c,2c,20,56,65,72,73,69,6f,\
  6e,3d,31,30,2e,30,2e,31,34,33,39,33,2e,30,2c,20,50,75,62,6c,69,63,4b,65,79,\
  54,6f,6b,65,6e,3d,33,31,62,66,33,38,35,36,61,64,33,36,34,65,33,35,2c,20,50,\
  72,6f,63,65,73,73,6f,72,41,72,63,68,69,74,65,63,74,75,72,65,3d,61,6d,64,36,\
  34,2c,20,76,65,72,73,69,6f,6e,53,63,6f,70,65,3d,4e,6f,6e,53,78,53
"c!microsoft-w..-deployment_31bf3856ad364e35_10.0.14393.0_b3f815604372c9db"=hex:
"c!wcf-http-ac..-deployment_31bf3856ad364e35_10.0.14393.0_513a34a207659ea6"=hex:
"c!wcf-nonhttp..-deployment_31bf3856ad364e35_10.0.14393.0_af0f53c2c3502e4f"=hex:
"f!servicemonikersupport.dll"=dword:00000001


Last edited by KrX on Thu 7 Sep 2017 - 14:02; edited 1 time in total
avatar
KrX

Re: [EX-100 - v0.9.13.0 x64] [RS1 Build 14393.0] Unable to install .Net Framework 3.5

on Wed 15 Mar 2017 - 14:01
ok im through.

see here what is needed:

[You must be registered and logged in to see this link.]

after puting those 4 files and 6 registry keys back downloading and installing net framework via features is working again Wink
victor123

Re: [EX-100 - v0.9.13.0 x64] [RS1 Build 14393.0] Unable to install .Net Framework 3.5

on Thu 7 Sep 2017 - 12:54
Hello Krx. Can you give us the registry entries for the 15063 build; The needed files are the same;
avatar
KrX

Re: [EX-100 - v0.9.13.0 x64] [RS1 Build 14393.0] Unable to install .Net Framework 3.5

on Thu 7 Sep 2017 - 14:03
victor123 wrote:Hello Krx. Can you give us the registry entries for the 15063 build; The needed files are the same;

hello,

just copy the second quote box to an text file and rename it to i.e. Registry.reg

[You must be registered and logged in to see this link.]

also you need to add those 4 files back i mentioned there


Last edited by KrX on Thu 7 Sep 2017 - 17:00; edited 1 time in total
victor123

Re: [EX-100 - v0.9.13.0 x64] [RS1 Build 14393.0] Unable to install .Net Framework 3.5

on Thu 7 Sep 2017 - 14:14
I already tried that and i get the message in the screenshot
[You must be registered and logged in to see this link.]

if it helps my wccf is
[You must be registered and logged in to see this link.]

and the reg file is
[You must be registered and logged in to see this link.]
avatar
KrX

Re: [EX-100 - v0.9.13.0 x64] [RS1 Build 14393.0] Unable to install .Net Framework 3.5

on Thu 7 Sep 2017 - 15:11
do you want to use it on a live system? if yes it could be that the path HKEY_LOCAL_MACHINE\Components is not present in your registry (or you dont have the rights to ad it int that path) . and im not sure if it will work on a live system. i always integrated it into the wim file.
victor123

Re: [EX-100 - v0.9.13.0 x64] [RS1 Build 14393.0] Unable to install .Net Framework 3.5

on Thu 7 Sep 2017 - 15:20
You are right. The HKEY_LOCAL_MACHINE\COMPONENTS  does not exist in the registry in a live system. I am currently creating an iso to test integration of the .reg via winreducer. After i will put the necessary 4 files and i will post if the problem is gone or not. Thank my friend again for the help.
victor123

Re: [EX-100 - v0.9.13.0 x64] [RS1 Build 14393.0] Unable to install .Net Framework 3.5

on Thu 7 Sep 2017 - 21:03
Finally Krx framework is installed but here is the strange thing.
I intergrate the above .reg file via wireducer and i proceed with the install. When it finishes if i try to install framework it fails again with the message
[You must be registered and logged in to see this link.]

Then i merge the .reg (this time i do not get the error i described above) and after that framework gets installed correctly.

Another thing, after the above when i try in the bellow screenshot to activate framework 4.7 i get the same error i was initially getting for framework 3.5
avatar
KrX

Re: [EX-100 - v0.9.13.0 x64] [RS1 Build 14393.0] Unable to install .Net Framework 3.5

on Thu 7 Sep 2017 - 21:17
for me i got only net framework 3.5 (which i manually select) and 4.6 which is already switched on. i dont see 4.7
victor123

Re: [EX-100 - v0.9.13.0 x64] [RS1 Build 14393.0] Unable to install .Net Framework 3.5

on Thu 7 Sep 2017 - 21:23
I slipstreamed kb4034674 x64 (.540 build) in an untouched 15063 .iso and used the above .wccf. In windows features i see framework 4.7 (unchecked) and when i check it i get the above error. I don't know why.
avatar
KrX

Re: [EX-100 - v0.9.13.0 x64] [RS1 Build 14393.0] Unable to install .Net Framework 3.5

on Thu 7 Sep 2017 - 22:17
hmm ok i will get a look soon on this, since im still at 1 or 2 more bugs in my RS2 iso
victor123

Re: [EX-100 - v0.9.13.0 x64] [RS1 Build 14393.0] Unable to install .Net Framework 3.5

on Thu 7 Sep 2017 - 22:55
ok my friend. Thank you.
View previous topicBack to topView next topic
Permissions in this forum:
You cannot reply to topics in this forum